%define rel 2

Summary:		ACPI kernel daemon and control utility
Name:			acpid
Epoch:			2
Version:		2.0.32
Release:		%mkrel %{rel}
License:		GPLv2+
Group:			System/Servers
URL:			http://sourceforge.net/projects/acpid2/
Source0:		http://downloads.sourceforge.net/acpid2/%{name}-%{version}.tar.xz
Source2:		acpid.service
Patch1:			acpid-CVE-2011-2777.patch
ExclusiveArch:		%{ix86} x86_64 %arm aarch64
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/acpid.service

install -d %{buildroot}%{_sysconfdir}/acpi/actions
install -d %{buildroot}%{_sysconfdir}/acpi/events

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%doc Changelog COPYING README TESTPLAN TODO
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_unitdir}/acpid.service
%dir %{_sysconfdir}/acpi/actions
%dir %{_sysconfdir}/acpi/events


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2:2.0.32-2.mga8
+ Revision: 1531342
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 10 2019 shlomif <shlomif> 2:2.0.32-1.mga8
+ Revision: 1439488
- New version 2.0.32

* Thu Nov 22 2018 shlomif <shlomif> 2:2.0.31-1.mga7
+ Revision: 1333206
- New version 2.0.31

* Sun Sep 23 2018 daviddavid <daviddavid> 2:2.0.30-1.mga7
+ Revision: 1297181
- new version: 2.0.30
- rediff CVE-2011-2777 patch

* Sun Jun 03 2018 wally <wally> 2:2.0.29-2.mga7
+ Revision: 1234159
- build on aarch64

* Fri Apr 27 2018 luigiwalser <luigiwalser> 2:2.0.29-1.mga7
+ Revision: 1222940
- 2.0.29

* Tue Oct 25 2016 luigiwalser <luigiwalser> 2:2.0.28-1.mga6
+ Revision: 1063525
- 2.0.28

* Mon May 09 2016 luigiwalser <luigiwalser> 2:2.0.27-1.mga6
+ Revision: 1011320
- 2.0.27

* Sat Feb 13 2016 shlomif <shlomif> 2:2.0.26-1.mga6
+ Revision: 959640
- New version 2.0.26

* Sun Nov 29 2015 pterjan <pterjan> 2:2.0.25-2.mga6
+ Revision: 906980
- Build acpid on arm too

* Thu Aug 20 2015 ycantin <ycantin> 2:2.0.25-1.mga6
+ Revision: 866758
- fix missing doc
- new version 2.0.25

* Wed Oct 15 2014 umeabot <umeabot> 2:2.0.23-3.mga5
+ Revision: 745719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.0.23-2.mga5
+ Revision: 677691
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2:2.0.23-1.mga5
+ Revision: 670022
- 2.0.23

* Wed Mar 19 2014 luigiwalser <luigiwalser> 2:2.0.22-1.mga5
+ Revision: 605618
- 2.0.22

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2:2.0.21-1.mga5
+ Revision: 591341
- 2.0.21

* Thu Sep 19 2013 luigiwalser <luigiwalser> 2:2.0.20-1.mga4
+ Revision: 481400
- 2.0.20

* Sun Jun 02 2013 luigiwalser <luigiwalser> 2:2.0.19-1.mga4
+ Revision: 434306
- 2.0.19
- fix URLs

* Sun Feb 17 2013 luigiwalser <luigiwalser> 2:2.0.18-1.mga3
+ Revision: 398865
- 2.0.18

* Fri Jan 11 2013 umeabot <umeabot> 2:2.0.17-3.mga3
+ Revision: 345259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 alien <alien> 2:2.0.17-2.mga3
+ Revision: 340209
- fix starting acpid without events

* Sat Oct 13 2012 luigiwalser <luigiwalser> 2:2.0.17-1.mga3
+ Revision: 305265
- 2.0.17

* Fri Aug 10 2012 luigiwalser <luigiwalser> 2:2.0.16-3.mga3
+ Revision: 280406
- add patch from debian to fix CVE-2011-2777

* Wed Aug 08 2012 guillomovitch <guillomovitch> 2:2.0.16-2.mga3
+ Revision: 279935
- drop server-specific build flags
- drop sysinit support
- use systemd macro
- drop old trigger

* Tue May 29 2012 shlomif <shlomif> 2:2.0.16-1.mga3
+ Revision: 248819
- New version: 2.0.16

* Sat Apr 28 2012 tmb <tmb> 2:2.0.14-4.mga2
+ Revision: 233582
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2:2.0.14-3.mga2
+ Revision: 233488
- rebuild for versioned rpm-helper requires

* Sun Jan 08 2012 tmb <tmb> 2:2.0.14-2.mga2
+ Revision: 193219
- rebuild for missing signature

* Sun Jan 08 2012 tv <tv> 2:2.0.14-1.mga2
+ Revision: 193055
- new release

* Sun Nov 20 2011 zezinho <zezinho> 2:2.0.13-1.mga2
+ Revision: 169773
- new version

* Tue Aug 30 2011 tv <tv> 2:2.0.12-1.mga2
+ Revision: 136397
- add missing LSB keywords
- really fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- new release
- patch 2: fix acpid.rc: /proc/acpi/event is an old and deprecated interface (mdv)
- added systemd unit
+ kharec <kharec>
- new version 2.0.10

* Sat Apr 16 2011 pterjan <pterjan> 2:2.0.9-1.mga1
+ Revision: 86580
- Update to 2.0.9

* Wed Apr 13 2011 tv <tv> 2:2.0.8-1.mga1
+ Revision: 84179
- drop patch 0 (merged upstream)
- new release

* Fri Feb 11 2011 dmorgan <dmorgan> 2:2.0.7-2.mga1
+ Revision: 50096
- Add patch to fix build
+ ennael <ennael>
- remove mnb
- remove old conflict
+ kharec <kharec>
- imported package acpid


* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:2.0.7-1mnb2
+ Revision: 600263
- New version 2.0.7.

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2:2.0.6-1mnb2
+ Revision: 550924
- update to new version 2.0.6

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2:2.0.4-2mnb2
+ Revision: 540010
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.4-1mnb2
+ Revision: 535626
- Update to new version 2.0.4

* Sun Mar 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2:2.0.3-1mnb2
+ Revision: 526215
- corrent sed options
- update to new version 2.0.3

* Tue Feb 23 2010 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.2-1mnb2
+ Revision: 510321
- Update to new version 2.0.2 (uses kernel netlink interface)
- Don't run mandb in make install stage, because Mandriva does not
  have mandb
- Set CFLAGS and LDFLAGS with sed hack instead of patch
- Remove ignore rpmnew patch: upstream now uses run-parts regexp
  to select valid config files (only file names containing
  alpha-numerical characters, - and _ are taken into account)

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2:1.0.10-1mnb2
+ Revision: 370002
- Update to new version 1.0.10 (fixes CVE-2009-0798)

* Sat Mar 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.0.8-1mnb2
+ Revision: 359671
- Updated to version 1.0.8
- Dropped uneeded patch acpid-kernel-acpi-h.patch
- Dropped merged patches: acpid-1.0.6-warning.patch,
  acpid-1.0.6-fd.patch, acpid-1.0.6-log.patch
- Redid makefile patch.

* Thu Feb 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-7mnb2
+ Revision: 337831
- Add runlevel 7 support in initscript

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-6mnb2
+ Revision: 290090
- Do no run laptop-mode hook in acpid initscript, it is done by laptop-mode initscript

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.6-5mnb2
+ Revision: 263721
- fix license tag
- update acpid-1.0.6-makefile.patch from rh (fix building with gcc 4.3)
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.6-4mnb1
+ Revision: 170648
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-4mdv2008.1
+ Revision: 166311
- do not require obsolete acpi service in initscript

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-3mdv2008.1
+ Revision: 164185
- add securlevel 80 for TurboLinux (Makoto Dei)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Olivier Blin <oblin@mandriva.com> 2:1.0.6-2mdv2008.1
+ Revision: 117212
- remove useless logrotate file, log now goes to syslog
- fix dumping useless info to log (#35825, patch from RH #389581)
- fix socket leak (RH #394431)

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.0.6-1mdv2008.0
+ Revision: 51320
- rediff patch 1 and 2
- drop patch 3
- provide patch 4 (compile with %%optflags)
- new version
- spec file clean


* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 1.0.4-13mdv2007.0
+ Revision: 107423
- remove useless rm
- own /etc/acpi/actions
- do not require suspend-scripts
- bunzip2 sources
- Import acpid

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-12mdk
- fix Requires post and preun
- fix typo in init script

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-11mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 2:1.0.4-10mdk
- Add parallel init stuff

* Tue Nov 15 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-9mdk
- restore init script fix that was dropped in 8mdk

* Thu Nov 03 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-8mdk
- don't close clients when reloading configuration. This will avoid
having the X server consuming 100%% cpu...

* Wed Nov 02 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-7mdk
- fix init script (bugzilla #19576)

* Sat Aug 27 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-6mdk
- start at level 14 (before dm)

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2:1.0.4-5mdk
- Patch 2 : Fix Build with gcc4 ( fedora )
- mkrel

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-4mdk
- fix the logrotate file

* Sun Mar 13 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-3mdk
- add a logrotate file
- clean spec file

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 2:1.0.4-2mdk
- re-upload (1.0.4-1mdk got lost)

* Mon Feb 28 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- ignore .rpm{new,save} files in /etc/acpi/events (#13943, P1)

* Tue Apr 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- call battery.sh if present
- New release 1.0.3

